%global pkgvers 0
%global scdate0 20250403
%global schash0 6315d3c5007e6c209eb77abae4deece4978d8dbc
%global branch0 master
%global source0 https://github.com/intel/ARM_NEON_2_x86_SSE.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           neon2sse
Version:        0
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Simplify ARM->IA32 porting
License:        BSD
BuildArch:      noarch

URL:            https://github.com/intel/ARM_NEON_2_x86_SSE

Source0:        arm_neon_2_x86_sse.tar.xz

BuildRequires:  cmake gcc-c++ git

%global __cmake_in_source_build 1

%description
The NEON_2_SSE.h file is intended to simplify ARM->IA32 porting.
It makes the correspondence (or a real port) between ARM NEON
intrinsics (as defined in "arm_neon.h") header and x86 SSE
(up to SSE4.2) intrinsic functions as defined in corresponding
x86 compilers headers files.

%package        devel
Summary:        Development files

%description    devel
This package contains the development files for %{name}.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
rm -rf %{buildroot}
sed -i 's|lib/|%{_lib}/|' CMakeLists.txt

mkdir build
pushd build
%cmake .. \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo

make %{?_smp_mflags}
popd


%install
rm -rf %{buildroot}
pushd build
make install DESTDIR=%{buildroot}
popd


%files devel
%license LICENSE
%doc ReadMe.md
%{_includedir}/*
%{_libdir}/cmake/*


%changelog
* Fri Sep 25 2020 Cristian Balint <cristian.balint@gmail.com>
- github update release
